public class Ball {
  float x, y, px, py;
  float vx, vy;
  int diameter;

  color c;

  public Ball() {
    px = py = x = y = 10;
    vx = random(1, 4);
    vy = random(1, 4);
    diameter = (int)random(5, 20);
    c = color(random(255), random(255), random(255));
  } 

  void draw() {
    stroke(0);
    fill(c);
    ellipse(x, y, diameter, diameter);
    px = x;
    py = y;

    x += vx;
    y += vy;
    MeuVector r = reflecte(px, py, x, y);
    if (r != null) {
       Note note = new Note((int)map(abs(vx),0, 5, 20, 100), (int)map(diameter, 0, 50, 10, 127), 60);
       midiOut.sendNote(note);
      x = r.x;
      y = r.y;
      vx = r.vx;
      vy = r.vy;
    }



    if (x > width || x < 0) {
      x = constrain(x, 0, width);
      vx = -vx;
    } 
    if (y > height || y < 0) {
      y = constrain(y, 0, height);
      vy = -vy;
    }
  }

}


